Skip to main content
POST
/
links
/
add
curl --request POST \ --url https://api.datalinks.com/api/v1/links/add \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "from": { "username": "johndoe", "namespace": "cinematography", "dataset": "movies", "columnName": "director" }, "to": { "username": "janedoe", "namespace": "entertainment", "dataset": "films", "columnName": "director_name" }, "matchType": "ExactMatch" } '
{
  "error_code": "UNAUTHORIZED",
  "message": "Missing authentication token",
  "error_message": "",
  "sub_errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Use a Bearer token for authentication. Submit the token using the Authorization header: Authorization: Bearer <token>.

Body

application/json
from
object
required
Example:
{
  "username": "johndoe",
  "namespace": "cinematography",
  "dataset": "movies",
  "columnName": "director"
}
to
object
required
Example:
{
  "username": "janedoe",
  "namespace": "entertainment",
  "dataset": "films",
  "columnName": "director_name"
}
matchType
enum<string>
required

Type of match to create between the columns.

Available options:
ExactMatch,
GeoMatch
Example:

"ExactMatch"

options
object

Flexible options map for match configuration.

Response

Link existed, no creation required.